;;; -*- Mode: Lisp; -*-
;;; YstokHelp - HTML-based help
;;; Copyright (c) 2009-2014 Dr. Dmitry Ivanov.  All rights reserved.
;;; Website: http://lisp.ystok.ru/yhelp/
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Package definition
;;; Only symbols needed in run-time are exported

(in-package :cl-user)

(defpackage :ystok.help
 (:use :common-lisp :ystok.library)
 (:nicknames :help)
 (:export
  #:*default-book-path*
  #:*default-book*
  #:*if-context-missing*
  ;*registered-books*
  #:*viewer-pathname*
  #:*viewer-service*
  #:book
  #:define-book			; preprocessor only
  #:ensure-book
  #:find-book
  #:simple-help-error
  #:load-book
  #:register-book
  #:run
  ;#:search-text
  #:view-topic
  #:view-page
  #:viewer-execute-command 
  #:viewer-open

  ;; CAPI/Ystok-Widgets integration
  ;#:help-books-menu-component
  #:help-locator
  #:help-menu-items
  #:help-tab
  #:popup-context))

(pushnew :yhelp *features*)
